import { Component } from 'react';
declare class MagicHeroContentDefault extends Component {
    static propTypes: any;
    props: any;
    allTweens: any;
    tObj: any;
    tlObj: any;
    trigger: any;
    constructor(props: any);
    getTarget(target: any): string | CSSRule;
    applyTweens(tweens: any, timeline?: any): void;
    getTimeline(): {
        tweens: any;
        timeline: any;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    killAll(): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
export default MagicHeroContentDefault;
